package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

public interface BusinessAreaMapper {

	/**
	 * 根据区域id 获取商圈
	 * @param map
	 * @return
	 */
	List<Map<String,Object>> selectByAreaId(String areaId);

	/**
	 * 根据id 获取商圈信息
	 * @param parameters
	 * @return
	 */
	Map<String,Object> selectById(Map<String, Object> parameters);

	String selectByIds(String areaId);

	String selectByName(String name);
}
