package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.CrmCustomer;

public interface CrmCustomerMapper {

	/**
	 * 
	 * @return
	 */
	String selectMaxCusId();

	void insert(CrmCustomer cc);

	/**
	 * 根据手机号查询客源表是否有记录
	 * @param parameters
	 * @return
	 */
	int selectByPhone(Map<String, Object> parameters);
	
	/**
	 * 获取求租列表
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> selectSolictingList(Map<String, Object> parameters);
	
	
	void updateCount(Integer id);

	/**
	 * 求租详情
	 * @param parameters
	 * @return
	 */
	Map<String,Object> selectSolicitDetail(Map<String, Object> parameters);

	/**
	 * 获取手机号
	 * @param parameters
	 * @return
	 */
	String selectPhone(Map<String, Object> parameters);

	/**
	 * 获取客源表是否有记录
	 * @param map
	 * @return
	 */
	CrmCustomer findByPhone(Map<String, Object> map);

	void update(CrmCustomer customerInDB);

	void save(CrmCustomer customerNew);

	Integer saves(CrmCustomer crmCustomer);
}
