package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.CallRecording;
import com.up.zpb.vo.ProjectOrder;
import com.up.zpb.vo.ProjectOrderTrack;

public interface ProjectOrderMapper {

   List<Map<String,Object>> findTrackListByOid(Map<String,Object> map);

   ProjectOrder findProjectEntity(Map<String,Object> map);
   
   void saveProject(ProjectOrder entity);

   void saveTrackLog(ProjectOrderTrack track);
   
   List<Map<String,Object>> findProjectOrderPage(Map<String,Object> map);
   
   String sumOtherDaoFangNumber(Map<String,Object> map);
   
   //Map<String,Object>  findLastOneStatus(Map<String,Object> map);
   
   Map<String,Object>  sumConcatNumber(Map<String,Object> map);
   
   void updateProject(ProjectOrder entity);
   
   void updateIsDelByOrderNo(String orderNo);
   
   void deleteByPrimaryKey(String orderNo);
   
    ProjectOrderTrack findOrderLogEntityById(String id);
    
   List<String> findDynamicList(Map<String,Object> dyMap);
   
   List<Map<String,Object>> findSignImgs(Map<String,Object> map);

    String findCallRecordingMaxId();

	void batchCallOrderNo(CallRecording calEn);
   
}