package com.up.zpb.service;

import java.math.BigDecimal;
import java.util.Map;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.vo.ComShopNum;
import com.up.zpb.vo.JsCommission;
import com.up.zpb.vo.ProjectOrder;
import com.up.zpb.vo.ProjectOrderTrack;
import com.up.zpb.vo.ResultObject;

@Transactional(propagation=Propagation.SUPPORTS)
public interface ProjectOrderService {


	ResultObject saveTrackLog(Map<String,Object> parameters);

	ResultObject remindMsg(Map<String, Object> parameters);

	ResultObject findProjectOrderPage(Map<String, Object> paraMap);

	ResultObject findConcatList(Map<String, Object> paraMap);

	//ResultObject findConcatFollowList(Map<String, Object> paraMap);

	ProjectOrder ifHaveCustomerProjectOrder(String projectId, String projectType, String agentId);

	ResultObject findYjByOrderNo(Map<String, Object> paraMap);

	ResultObject findConcatBySeeList(Map<String, Object> paraMap);

	ResultObject loadingShop(ProjectOrder project, ResultObject resultObject);

	ResultObject loadingOffice(ProjectOrder project, ResultObject resultObject);

	ResultObject loadingCustomer(ProjectOrder project, ResultObject resultObject);

	ProjectOrder findOrderByOrderSn(String orderNo);

	JsCommission jsCommission(String projectType, String rentType, BigDecimal commissionValue,
			BigDecimal monthlyRent,	BigDecimal chengBenPrice,String commissionType);

	ResultObject signDetail(Map<String, Object> paraMap);

	String jsonCustomerOnlyOne(String projectId, String projectType);

	ComShopNum findComShopNum(String projectId,String projectType);

	String findCallRecordingMaxId();

}
