package com.up.zpb.service;

import java.util.Map;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.vo.LookOffice;
import com.up.zpb.vo.LookShop;
import com.up.zpb.vo.OfficeAssess;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.ShopAssess;

@Transactional(propagation=Propagation.SUPPORTS)
public interface ShopAssessService {

	ResultObject selectPage(Map<String, Object> paraMap);

	ResultObject saveShopAssess(ShopAssess entity,Map<String,Object> parameters);

	ResultObject updateShopAssess(Map<String, Object> parameters);

	ResultObject findEntityById(String id);

	ResultObject saveOfficeAssess(OfficeAssess entity,Map<String,Object> parameters);

	ResultObject saveLookOffice(LookOffice entity);

	ResultObject saveLookShop(LookShop entity);

	ResultObject findLookOfficePage(Map<String, Object> paraMap);

	ResultObject findLookShopPage(Map<String, Object> paraMap);

	ResultObject findMyLookAllPage(Map<String, Object> paraMap);

	ResultObject findAppLookJson(Map<String, Object> parameters);

}
