package com.up.zpb.service.customer;


import com.up.zpb.vo.Customer;
import com.up.zpb.vo.ResultObject;

import java.util.Map;

public interface CustomerService {

    ResultObject submit(Map<String, Object> parameters, Customer customer);

    ResultObject getEntrust(String cityId);

    ResultObject getListEntrust(String cityId);

    ResultObject getSearchCustomer(Map<String, Object> parameters);

    ResultObject getEntrustApp(Map<String, Object> parameters);

    ResultObject getDetail(Map<String, Object> parameters);

    ResultObject saveAll(Customer customer);

    /**
     * 经纪人-我的客源列表
     * @param param
     * @return
     */
    ResultObject getMySourceList(Map<String,Object> param);

    ResultObject selectPage(Map<String, Object> parameters);

	ResultObject findMyFollowCustomerPage(Map<String, Object> paraMap);

	ResultObject findMyPublishCustomerPage(Map<String, Object> paraMap);

    /**
     * 我的委托
     * @param parameters
     * @return
     */
    ResultObject selectMyEntrustList(Map<String, Object> parameters);
}
