package com.up.zpb.vo;

import java.util.Date;

/**
 * 首页展示banner图信息
 * @author gust
 *
 */
public class Banner {

	/**
     * ID
     */
    private Integer id;
    
    /**
     * 展示标题
     */
    private String title;
    
    /**
     * 展示描述
     */
    private String describes;
    
    /**
     * 类型 字典表104 0 资讯 1 广告
     */
    private Integer type;
    
    /**
     * 跳转内容 id或url链接
     */
    private String jumpContent;
    
    /**
     * 跳转类型 字典105 0 外部链接 1 资讯
     */
    private String jumpType;
    
    /**
     * App展示封面
     */
    private String appPic;
    
    /**
     * pc展示封面
     */
    private String  pcPic;
    
    /**
     * 排序
     */
    private Integer sort;
    
    /**
     * 省ID
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

    /**
     * 是否显示：0不显示、1显示
     */
    private Integer advFlag;

    /**
     * 创建者,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescribes() {
		return describes;
	}

	public void setDescribes(String describes) {
		this.describes = describes;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getJumpContent() {
		return jumpContent;
	}

	public void setJumpContent(String jumpContent) {
		this.jumpContent = jumpContent;
	}

	public String getJumpType() {
		return jumpType;
	}

	public void setJumpType(String jumpType) {
		this.jumpType = jumpType;
	}

	public String getAppPic() {
		return appPic;
	}

	public void setAppPic(String appPic) {
		this.appPic = appPic;
	}

	public String getPcPic() {
		return pcPic;
	}

	public void setPcPic(String pcPic) {
		this.pcPic = pcPic;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(String provinceId) {
		this.provinceId = provinceId;
	}

	public String getCityId() {
		return cityId;
	}

	public void setCityId(String cityId) {
		this.cityId = cityId;
	}

	public Integer getAdvFlag() {
		return advFlag;
	}

	public void setAdvFlag(Integer advFlag) {
		this.advFlag = advFlag;
	}

	public Integer getCreateUser() {
		return createUser;
	}

	public void setCreateUser(Integer createUser) {
		this.createUser = createUser;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUser() {
		return updateUser;
	}

	public void setUpdateUser(Integer updateUser) {
		this.updateUser = updateUser;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
    
    
}
