package com.up.zpb.vo;

import java.util.Date;

/**
 * 商铺纠错记录表
 * @author gust
 *
 */
public class ShopCorrection {

	/**
	 * 主键
	 */
	private Integer id;
	
	/**
	 * 注册用户
	 */
	private Integer userId;
	
	/**
	 * 商铺id
	 */
	private Integer shopId;
	
	/**
	 * 提交纠错时间
	 */
	private Date createTime;
	
	/**
	 * 城市id
	 */
	private Integer cityId;
	
	/**
	 * 审核状态 0：待审核 1：审核通过 2：审核拒绝
	 */
	private Integer status;
	
	/**
	 * 纠错原因 商铺不存在, 商铺已出租或转出, 价格不属实, 面积不属实, 其他信息不属实
	 */
	private Integer reason;
	
	/**
	 * 纠错内容
	 */
	private String content;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getShopId() {
		return shopId;
	}

	public void setShopId(Integer shopId) {
		this.shopId = shopId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getReason() {
		return reason;
	}

	public void setReason(Integer reason) {
		this.reason = reason;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
}
