package com.up.zpb.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 前端提交的发布求租商铺数据
 * @author gust
 *
 */
public class ShopRenting {

	/**
	 * 主键id
	 */
	private Integer id;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	/**
	 * 更新时间
	 */
	private Date updateTime;
	
	/**
	 * 面积下限
	 */
	private BigDecimal areaLower;
	
	/**
	 * 面积上限 
	 */
	private BigDecimal areaUpper;
	
	/**
	 * 月租金下限
	 */
	private BigDecimal monthlyRentLower;
	
	/**
	 * 月租金上限
	 */
	private BigDecimal monthlyRentUpper;
	
	/**
	 * 联系人姓名
	 */
	private String name;
	
	/**
	 * 联系人电话
	 */
	private String phone;
	
	/**
	 * 商铺类型
	 */
	private Integer type;
	
	/**
	 * 区域id
	 */
	private Integer areaId;
	
	/**
	 * 商圈id
	 */
	private Integer businessAreaId;
	
	/**
	 * 一级业态
	 */
	private Integer parentManageTypeId;
	
	/**
	 * 二级业态
	 */
	private Integer sonManageTypeId;
	
	/**
	 * 省id
	 */
	private Integer provinceId;
	
	/**
	 * 市id
	 */
	private Integer cityId;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public BigDecimal getAreaLower() {
		return areaLower;
	}

	public void setAreaLower(BigDecimal areaLower) {
		this.areaLower = areaLower;
	}

	public BigDecimal getAreaUpper() {
		return areaUpper;
	}

	public void setAreaUpper(BigDecimal areaUpper) {
		this.areaUpper = areaUpper;
	}

	public BigDecimal getMonthlyRentLower() {
		return monthlyRentLower;
	}

	public void setMonthlyRentLower(BigDecimal monthlyRentLower) {
		this.monthlyRentLower = monthlyRentLower;
	}

	public BigDecimal getMonthlyRentUpper() {
		return monthlyRentUpper;
	}

	public void setMonthlyRentUpper(BigDecimal monthlyRentUpper) {
		this.monthlyRentUpper = monthlyRentUpper;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getAreaId() {
		return areaId;
	}

	public void setAreaId(Integer areaId) {
		this.areaId = areaId;
	}

	public Integer getBusinessAreaId() {
		return businessAreaId;
	}

	public void setBusinessAreaId(Integer businessAreaId) {
		this.businessAreaId = businessAreaId;
	}

	public Integer getParentManageTypeId() {
		return parentManageTypeId;
	}

	public void setParentManageTypeId(Integer parentManageTypeId) {
		this.parentManageTypeId = parentManageTypeId;
	}

	public Integer getSonManageTypeId() {
		return sonManageTypeId;
	}

	public void setSonManageTypeId(Integer sonManageTypeId) {
		this.sonManageTypeId = sonManageTypeId;
	}

	public Integer getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(Integer provinceId) {
		this.provinceId = provinceId;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}
	
}
