package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.Brand;
import com.up.zpb.vo.BrandBrandArea;
import com.up.zpb.vo.BrandLinkman;

public interface BrandMapper {

	/**
	 * 获取品牌图片列表
	 * @param map
	 * @return
	 */
	List<Map<String, Object>> selectBrandLogo(Map<String, Object> map);

	/**
	 * 获取品牌列表信息
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> getBrandList(Map<String, Object> parameters);
	
	Map<String, Object> findBrandDetail(String id);
	
	
	List<Map<String, Object>> findUserListByBId(String brandId);
	
	BrandLinkman findLinkmanEntityById(String id);
	
	List<Map<String, Object>> getHotBrandList(Map<String, Object> parameters);
	
	int valideBrandName(Map<String, Object> parameters);
	
	void saveBrandEntity(Brand entity);
	
	void saveLinkman(BrandLinkman entity);
	
	void saveBrandBrandArea(BrandBrandArea entity);
	
	List<Map<String, Object>> findMyPublishBrand(Map<String, Object> parameters);
	
	String findCityNameByCityId(String cityId);
	
	String findCityIdByCityName(String cityName);
	
	String findBrandYeTaiNameById(String yetaiId);
	
}
