package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.Member;

public interface MemberMapper {
    /**
     *
     * @mbg.generated 2018-09-04
     */
    int deleteByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insert(Member record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insertSelective(Member record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    Member selectByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKey(Member record);
   
    /**
     * 
     * @param mobile
     * @return
     */
    Member selectByMobile(String mobile);
    
    /**
    *
    * @mbg.generated 2018-09-04
    */
    Member save(Member record);
    
    int updateViewCountByPrimaryKey(Integer id);
    
    /**
     * 获取推荐信息
     * @param map
     * @return
     */
    Map<String,Object> selectReferreInfo(Map<String,Object> map);

    /**
     * 获取会员信息
     * @param map
     * @return
     */
    Map<String,Object> selectMemberInfo(Map<String,Object> map);
    
    /**
     * 获取会员数量
     */
    int selectMemberCount(Map<String,Object> map);

    /**
     * 根据用户ID 查询是否为有效会员
     * @param id
     * @return
     */
	int findByUserId(Map<String,Object> map);

	/**
	 * 查询会员购买记录
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> selectMembers(Map<String, Object> parameters);

	/**
	 * 查询是否是会员
	 * @param parameters
	 * @return
	 */
	int selectByUserId(Map<String, Object> parameters);

	/**
	 * 查询是否购买过同类型的会员
	 * @param map
	 * @return
	 */
	List<Member> selectByType(Map<String, Object> map);
	
	/**
	 * 
	 * @param parameters
	 * @return
	 */
	int selectIsVip(Map<String, Object> parameters);
	
	List<String> selectMemberLevel(Map<String, Object> parameters);
}
