package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.OfficeAssess;

public interface OfficeAssessMapper {
   
	/**
	 * 根据主键查找对象  
	 * @param id
	 * @return
	 */
	OfficeAssess findEntityById(String id);
   
   /**
    * 分页列表
    * @param map
    * @return
    */
   List<Map<String,Object>> selectPage(Map<String,Object> map);
   /**
    * 保存 
    * @param entity
    */
   void saveOfficeAssess(OfficeAssess entity);
   /**
    * 修改   
    * @param entity
    */
   void updateOfficeAssess(OfficeAssess entity);
   /**
    * 删除   
    * @param id
    */
   void deleteByPrimaryKey(String id);
   
   
}