package com.up.zpb.mapper;

import java.util.Map;

import com.up.zpb.vo.ShopCorrection;

public interface ShopCorrectionMapper {

	/**
	 * 查询获取当前登录人纠错总数
	 * @param parameters
	 * @return
	 */
	int selectByUserId(Map<String, Object> parameters);

	/**
	 * 查询商铺是否已经在纠错记录表审核中
	 * @param parameters
	 * @return
	 */
	int getCorrectionCount(Map<String, Object> parameters);

	/**
	 * 保存纠错信息
	 * @param parameters
	 */
	void save(ShopCorrection sc);

}
