package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.ShopMyself;

/**
 * 用户商户收藏列表
 * @author gust
 *
 */
public interface ShopMyselfMapper {

	/**
	 * 创建收藏记录
	 * @param sc
	 * @return
	 */
	int insert(ShopMyself sc);

	/**
	 * 获取收藏列表
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> findMyLikeShopList(Map<String, Object> parameters);
	List<Map<String, Object>> findMyLikeOfficeList(Map<String, Object> parameters);

	/**
	 * 删除收藏
	 * @param parameters
	 */
	void deleteShopMyself(Map<String, Object> parameters);

	/**
	 * 取消收藏
	 * @param parameters
	 */
	void cancelShopMyself(Map<String, Object> parameters);

	/**
	 * 
	 * @param parameters
	 * @return
	 */
	ShopMyself selectShopMyself(Map<String, Object> parameters);
}
