package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.ShopPhoto;

public interface ShopPhotoMapper {

	/**
	 * 校验手机号
	 * @param parameters
	 * @return
	 */
	int selectPhoneCount(Map<String, Object> parameters);

	/**
	 * 保存拍店提交信息
	 * @param sp
	 */
	void savePhotoInfo(ShopPhoto sp);

	/**
	 * 获取拍店记录列表
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> selectList(Map<String, Object> parameters);

	/**
	 * 获取拍店奖励规则
	 * @param parameters
	 * @return
	 */
	Map<String, Object> selectPhotoRules(Map<String, Object> parameters);

}
