package com.up.zpb.service;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.up.zpb.vo.Dictionary;
import com.up.zpb.vo.UserApp;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Transactional(propagation=Propagation.SUPPORTS)
public interface DictionaryService {

	public List<Map<String,Object>> selectMapByParentKey(String parentKey);
	
    /**
    * 查询银行列表
    * @param parentKey
    * @return
    */
   List<Map<String,Object>> selectBankList(String parentKey);


   Dictionary selectParentAndSon(Dictionary dictionary);

	String findAskPhone();
	
	List<Map<String, Object>> selectMapByParentKeyD(String parentKey);
	
	String selectByDValue(String parentKey, String dValue);
	
	UserApp getLoginUser(HttpServletRequest request);

	String getLoginUserType(HttpServletRequest request);

	String getLoginChannel(HttpServletRequest request);

	String findByKey(String parentKey);
}
