package com.up.zpb.service;

import java.util.Map;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.vo.News;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.qn.MessagePo;

@Transactional(propagation=Propagation.SUPPORTS)
public interface NewsService {


	ResultObject insertNews(Map<String, Object> paraMap);

	News findEntityByTouchType(String touchType);

	ResultObject sendTouchMsg(String touchType, String appUserId, Map<String, String> dyParam);

	ResultObject qnCallBack(MessagePo msgEntity);

	ResultObject lianXiMsg(String loginUserId, String projectName, String shopNumber,String projectType);

}
