package com.up.zpb.service;

import java.util.Map;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.vo.ProjectOrder;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.UserApp;

@Transactional(propagation=Propagation.SUPPORTS)
public interface OrderService {

	ResultObject submitOrder(Map<String, Object> parameters,ProjectOrder project);

	ResultObject exchangeOrder(Map<String, Object> parameters);

	ResultObject seeProjectPhone(Map<String, Object> parameters,UserApp loginUser);

	ResultObject jyExchangeOrder(String orderNo);

	ResultObject processAllCall(String projectId, String projectType, String customerPhone,
			String publishTel,String channel,UserApp  loginUser);

}
