package com.up.zpb.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 可购买的产品信息表
 * @author gust
 *
 */
public class Product {

	/**
	 * id 主键
	 */
	private Integer id;
	
	/**
	 * 产品类型 0 优铺会员, 1 VIP选址服务, 2 VIP转铺服务, 3 置顶服务, 4 转铺会员, 5 1个月1元活动, 6 7天会员
	 */
	private Integer catgory; 
	
	/**
	 * 介绍描述
	 */
	private String dsc;
	
	/**
	 * 有效期 
	 */
	private String duration;
	
	/**
	 * 产品名称
	 */
	private String name;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	/**
	 * 更新时间
	 */
	private Date updateTime;
	
	/**
	 * 支付金额
	 */
	private BigDecimal price;
	
	/**
     * 省ID
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCatgory() {
		return catgory;
	}

	public void setCatgory(Integer catgory) {
		this.catgory = catgory;
	}

	public String getDsc() {
		return dsc;
	}

	public void setDsc(String dsc) {
		this.dsc = dsc;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public String getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(String provinceId) {
		this.provinceId = provinceId;
	}

	public String getCityId() {
		return cityId;
	}

	public void setCityId(String cityId) {
		this.cityId = cityId;
	}
	
}
