package com.up.zpb.vo;

import java.math.BigDecimal;
import java.util.Date;

public class ProjectOrder {
	
	private String orderNo;
	/**
	 * 订单状态： 0-交易结束 1-审核 2-报备 3-到访 4-认购 5-签约 6-结佣 7-完成
	 */
	private String orderStatus;
	private String agentId;
	private String agentName;
	private String projectId;
	private String projectType;
	private String projectName;
	private String shopNumber;
	private BigDecimal price=new BigDecimal(0.00);
	private BigDecimal acreage;
	private Date appointmentTime;
	private String description;
	private String customerId;
	private String customerName;
	private String mobile;
	private String identityCard;
	private Date createTime;
	private Date visitTime;
	private Date subscribeTime;
	private Date signTime;
	private Date settleTime;
	private Date finishTime;
	private String brandName;
	private Date updateTime;
	private Integer sonType;
	private String publishUserId="-1";//默认-1
	private String channel="0";//0-pc 1-ios 2-android
	
	
	private BigDecimal totalPrice=new BigDecimal(0.00);
	private String payStatus;
	private String payMethod;
	private BigDecimal feeService=new BigDecimal(0.00);
	private BigDecimal projectAmount=new BigDecimal(0.00);
	private BigDecimal referrerAmount=new BigDecimal(0.00);
	private BigDecimal teamAmount=new BigDecimal(0.00);
	private String rentType = "1";
	private String commission;//文本汉字描述
	
	private BigDecimal monthlyRent=new BigDecimal(0.00);
	private BigDecimal commissionValue=new BigDecimal(0.00);
	//佣金总额 =price*commission_value;
	//或者佣金总额 =monthly_rent*commission_value
	private BigDecimal commissionTotal=new BigDecimal(0.00);
	//佣金类型：1-百分比 2-直接填金额
	private String commissionType;
	
	
	
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(String orderStatus) {
		this.orderStatus = orderStatus;
	}
	public String getAgentId() {
		return agentId;
	}
	public void setAgentId(String agentId) {
		this.agentId = agentId;
	}
	public String getProjectId() {
		return projectId;
	}
	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	public String getProjectType() {
		return projectType;
	}
	public void setProjectType(String projectType) {
		this.projectType = projectType;
	}
	public String getProjectName() {
		return projectName;
	}
	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	public String getShopNumber() {
		return shopNumber;
	}
	public void setShopNumber(String shopNumber) {
		this.shopNumber = shopNumber;
	}
	public BigDecimal getPrice() {
		return price;
	}
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	public BigDecimal getAcreage() {
		return acreage;
	}
	public void setAcreage(BigDecimal acreage) {
		this.acreage = acreage;
	}
	public Date getAppointmentTime() {
		return appointmentTime;
	}
	public void setAppointmentTime(Date appointmentTime) {
		this.appointmentTime = appointmentTime;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getCustomerId() {
		return customerId;
	}
	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}
	public String getCustomerName() {
		return customerName;
	}
	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getIdentityCard() {
		return identityCard;
	}
	public void setIdentityCard(String identityCard) {
		this.identityCard = identityCard;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
	public Date getVisitTime() {
		return visitTime;
	}
	public void setVisitTime(Date visitTime) {
		this.visitTime = visitTime;
	}
	public Date getSubscribeTime() {
		return subscribeTime;
	}
	public void setSubscribeTime(Date subscribeTime) {
		this.subscribeTime = subscribeTime;
	}
	public Date getSignTime() {
		return signTime;
	}
	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}
	public Date getSettleTime() {
		return settleTime;
	}
	public void setSettleTime(Date settleTime) {
		this.settleTime = settleTime;
	}
	public Date getFinishTime() {
		return finishTime;
	}
	public void setFinishTime(Date finishTime) {
		this.finishTime = finishTime;
	}
	public String getBrandName() {
		return brandName;
	}
	public void setBrandName(String brandName) {
		this.brandName = brandName;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public BigDecimal getProjectAmount() {
		return projectAmount;
	}
	public void setProjectAmount(BigDecimal projectAmount) {
		this.projectAmount = projectAmount;
	}
	public BigDecimal getReferrerAmount() {
		return referrerAmount;
	}
	public void setReferrerAmount(BigDecimal referrerAmount) {
		this.referrerAmount = referrerAmount;
	}
	public BigDecimal getTeamAmount() {
		return teamAmount;
	}
	public void setTeamAmount(BigDecimal teamAmount) {
		this.teamAmount = teamAmount;
	}
	public String getCommission() {
		return commission;
	}
	public void setCommission(String commission) {
		this.commission = commission;
	}
	public BigDecimal getMonthlyRent() {
		return monthlyRent;
	}
	public void setMonthlyRent(BigDecimal monthlyRent) {
		this.monthlyRent = monthlyRent;
	}
	public Integer getSonType() {
		return sonType;
	}
	public void setSonType(Integer sonType) {
		this.sonType = sonType;
	}
	public String getAgentName() {
		return agentName;
	}
	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}
	
	public BigDecimal getCommissionValue() {
		return commissionValue;
	}
	public void setCommissionValue(BigDecimal commissionValue) {
		this.commissionValue = commissionValue;
	}
	public BigDecimal getTotalPrice() {
		return totalPrice;
	}
	public void setTotalPrice(BigDecimal totalPrice) {
		this.totalPrice = totalPrice;
	}
	public String getPayStatus() {
		return payStatus;
	}
	public void setPayStatus(String payStatus) {
		this.payStatus = payStatus;
	}
	public String getPayMethod() {
		return payMethod;
	}
	public void setPayMethod(String payMethod) {
		this.payMethod = payMethod;
	}
	public BigDecimal getFeeService() {
		return feeService;
	}
	public void setFeeService(BigDecimal feeService) {
		this.feeService = feeService;
	}
	public String getRentType() {
		return rentType;
	}
	public void setRentType(String rentType) {
		this.rentType = rentType;
	}
	public BigDecimal getCommissionTotal() {
		return commissionTotal;
	}
	public void setCommissionTotal(BigDecimal commissionTotal) {
		this.commissionTotal = commissionTotal;
	}
	public String getPublishUserId() {
		return publishUserId;
	}
	public void setPublishUserId(String publishUserId) {
		this.publishUserId = publishUserId;
	}
	public String getCommissionType() {
		return commissionType;
	}
	public void setCommissionType(String commissionType) {
		this.commissionType = commissionType;
	}
	public String getChannel() {
		return channel;
	}
	public void setChannel(String channel) {
		this.channel = channel;
	}
	
	
	

}
