package com.up.zpb.vo;

import java.util.Date;

/**
 * 拍店记录表
 * @author gust
 *
 */
public class ShopPhoto {
	
	private Integer id;
	
	/**
	 * 店主手机号
	 */
	private String phone;
	
	/**
	 * 登录人id
	 */
	private Integer userId;
	
	/**
	 * 拍店图片 用","号分隔
	 */
	private String imgs;
	
	/**
	 * 经纬度 用","号分隔
	 */
	private String coordinate;
	
	/**
	 * 详细地址
	 */
	private String address;
	
	/**
	 * 拒绝原因 字典表
	 */
	private Integer refusal;
	
	/**
	 * 提交时间
	 */
	private Date createTime;
	
	/**
	 * 审核时间
	 */
	private Date stateTime;
	
	/**
	 * 城市Id
	 */
	private String cityId;
	
	/**
	 * 奖励佣金
	 */
	private Integer bonus;
	
	/**
	 * 审核状态 字典表 310 1 待审核 2 审核通过 3 审核拒绝
	 */
	private Integer state;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getImgs() {
		return imgs;
	}

	public void setImgs(String imgs) {
		this.imgs = imgs;
	}

	public String getCoordinate() {
		return coordinate;
	}

	public void setCoordinate(String coordinate) {
		this.coordinate = coordinate;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Integer getRefusal() {
		return refusal;
	}

	public void setRefusal(Integer refusal) {
		this.refusal = refusal;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getStateTime() {
		return stateTime;
	}

	public void setStateTime(Date stateTime) {
		this.stateTime = stateTime;
	}

	public String getCityId() {
		return cityId;
	}

	public void setCityId(String cityId) {
		this.cityId = cityId;
	}

	public Integer getBonus() {
		return bonus;
	}

	public void setBonus(Integer bonus) {
		this.bonus = bonus;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

}
